// creator  : weidu (version 24000)
// argument : FARMBR.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : .\lang\en_us\dialog.tlk
// dialogF  : (none)

BEGIN ~FARMBR~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 13 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #143 /* ~Please, will no one help me? Anyone? I've nowhere else to be turnin'. I beseech thee, kind <SIRMAAM>, please help. It's strange happenings at my farm, and I've not the strength I once had. I've nothing to offer, and even if I did I doubt such as you would have need of it. Please.~ */
  IF ~~ THEN REPLY #147 /* ~You need look no further for aid. What can I do?~ */ GOTO 6
  IF ~~ THEN REPLY #150 /* ~I could help, but surely you must be able to pay something.~ */ GOTO 3
  IF ~~ THEN REPLY #153 /* ~This is not my concern, old man.~ */ GOTO 4
END

IF WEIGHT #2 /* Triggers after states #: 13 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN BEGIN 1 // from:
  SAY #144 /* ~Will no one help me? Anyone? I've nowhere else to be turnin'. Please, you're young and strapping, can you lend a neighbor a hand? There's somethin' going on at my farm, and I can't afford to hire help. I've nothing to offer you, save my gratitude.~ */
  IF ~~ THEN REPLY #148 /* ~You need look no further for aid. What can I do?~ */ GOTO 6
  IF ~~ THEN REPLY #151 /* ~I could help, but surely you must be able to pay something.~ */ GOTO 3
  IF ~~ THEN REPLY #154 /* ~This is not my concern, old man.~ */ GOTO 4
END

IF WEIGHT #3 /* Triggers after states #: 13 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 2 // from:
  SAY #145 /* ~Will no one help me? Anyone? I've nowhere else to be turnin'. I'm not the kind to be hiring mercenaries, and neither can I afford it, but I need your aid. Please, out of the goodness of your hearts, can you help an old man?~ */
  IF ~~ THEN REPLY #149 /* ~You need look no further for aid. What can I do?~ */ GOTO 6
  IF ~~ THEN REPLY #152 /* ~I could help, but surely you must be able to pay something.~ */ GOTO 3
  IF ~~ THEN REPLY #155 /* ~This is not my concern, old man.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.1 1.1 0.1
  SAY #146 /* ~Because of this damnable iron shortage, it cost the last of my savings to repair the plow. I've nothing left but my son Nathan, and now he is missing. By Chauntea, it was hard enough just asking for help! Please!~ */
  IF ~~ THEN REPLY #164 /* ~You need look no further for aid. What can I do?~ */ GOTO 6
  IF ~~ THEN REPLY #165 /* ~Save your breath, your words fall on deaf ears. I've no interest if there is no money involved.~ */ GOTO 4
  IF ~~ THEN REPLY #166 /* ~This is not my concern, old man.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.2 3.1 2.2 1.2 0.2
  SAY #156 /* ~You'll not come? Then I've no hope. Nothing left...~ */
  IF ~~ THEN SOLVED_JOURNAL #27065 /* ~Farmer Brun's Missing Son
An old man was begging for help on his farm north of the Friendly Arm. Something about his son disappearing. 'Twas not worth my time.~ */ EXIT
END

IF WEIGHT #4 /* Triggers after states #: 13 even though they appear after this state */
~  Global("BrunQuest","GLOBAL",0)
~ THEN BEGIN 5 // from:
  SAY #157 /* ~There's nothing I can do. Nothing...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 3.0 2.0 1.0 0.0
  SAY #158 /* ~Oh, by the Great Mother, thank you! My son Nathan and his friends went looking for our missing cattle, then they just up and disappeared! Been gone for days now and, with all the bandits around, who knows what's happened. I don't know where they were heading, but I saw some sort o' tracks to the west. Please find Nathan. I can't afford to keep the farm without my son.~ */
  IF ~~ THEN DO ~SetGlobal("BrunQuest","GLOBAL",1)
~ UNSOLVED_JOURNAL #27066 /* ~Farmer Brun's Missing Son
I was north of the Friendly Arm when a farmer named Brun asked me to help find his son, Nathan. He is worried that bandits may have waylaid the boy. I shall start looking to the west of their farm, as Brun said he saw some strange tracks in that direction.~ */ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 13 even though they appear after this state */
~  Global("BrunQuest","GLOBAL",1)
Global("FoundNathan","GLOBAL",0)
~ THEN BEGIN 7 // from:
  SAY #161 /* ~Have you found my son? Is he well?~ */
  IF ~~ THEN REPLY #159 /* ~I've not been able to find your son, but I'll not stop till I do.~ */ GOTO 8
  IF ~~ THEN REPLY #160 /* ~I can't find him at all. It's beyond me.~ */ GOTO 8
  IF ~  PartyHasItem("MISC67")
~ THEN REPLY #167 /* ~I am afraid Nathan is dead, sir. He died defending your farm from a nest of strange beasts.~ */ DO ~SetGlobal("FoundNathan","GLOBAL",1)
~ GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 7.1 7.0
  SAY #162 /* ~Please keep looking. He's out there somewhere, and I must know his fate.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from: 7.2
  SAY #163 /* ~No, my only son... It is a black day. He died for this farm, but I am too old to work it and too poor to hire someone else. I've lost him AND the land. At least now I know. Thank you for your help but... I wish to be alone now.~ */
  IF ~~ THEN DO ~TakePartyItem("MISC67")
AddexperienceParty(500)
EraseJournalEntry(27066)
EraseJournalEntry(27067)
~ SOLVED_JOURNAL #27068 /* ~Farmer Brun's Missing Son
Farmer Brun was understandably upset to receive the body of his son, Nathan.~ */ EXIT
END

IF ~~ THEN BEGIN 10 // from: 12.0
  SAY #173 /* ~Well, if it's causin' you strife to hang on to it, I suppose I could... hold it for ya. Thank you, strangers. I don't believe I'll see the likes of you again.~ */
  IF ~~ THEN DO ~AddexperienceParty(1100)
ReputationInc(1)
~ SOLVED_JOURNAL #27069 /* ~Farmer Brun's Missing Son
We gave Farmer Brun some gold, though we didn't want him to think it was charity. He's a very proud man.~ */ EXIT
END

IF ~~ THEN BEGIN 11 // from: 12.2
  SAY #174 /* ~Thanks, but no thanks. I'll not be takin' yer pity money. I've lost a lot, but not my dignity.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 13 even though they appear after this state */
~  Global("BrunQuest","GLOBAL",1)
Global("FoundNathan","GLOBAL",1)
Global("GaveAnkheg","GLOBAL",0)
~ THEN BEGIN 12 // from:
  SAY #175 /* ~What am I to do...?~ */
  IF ~  PartyHasItem("RING19")
PartyGoldGT(99)
~ THEN REPLY #176 /* ~Brun, this is the hoard that the creatures had. It's more than we can carry, and more than we could use. Do us a favor and take it off our hands, will you?~ */ DO ~TakePartyGold(100)
TakePartyItemNum("RING19",1)
SetGlobal("GaveAnkheg","GLOBAL",1)
~ GOTO 10
  IF ~  PartyGoldGT(99)
~ THEN REPLY #177 /* ~Brun, we have all we need. In fact, you'd be doing us a favor if you would take this extra 100 gold off our hands. It's a burden for us to carry.~ */ DO ~TakePartyGold(100)
SetGlobal("GaveAnkheg","GLOBAL",1)
~ GOTO 15
  IF ~~ THEN REPLY #178 /* ~Hey, old man, we can spot you some gold till you're on your feet again.~ */ GOTO 11
  IF ~~ THEN REPLY #179 /* ~Tough luck I guess. See ya.~ */ EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 13 // from:
  SAY #6146 /* ~I'm just a simple farmer, I don't know much.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from:
  SAY #8988 /* ~I don't want no help from the likes of you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 15 // from: 12.1
  SAY #173 /* ~Well, if it's causin' you strife to hang on to it, I suppose I could... hold it for ya. Thank you, strangers. I don't believe I'll see the likes of you again.~ */
  IF ~~ THEN DO ~AddexperienceParty(1000)
ReputationInc(1)
~ SOLVED_JOURNAL #27069 /* ~Farmer Brun's Missing Son
We gave Farmer Brun some gold, though we didn't want him to think it was charity. He's a very proud man.~ */ EXIT
END
